ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Types.HpcInfo

Description

Haskell Program Coverage (HPC) support

Synopsis

- data HpcInfo
  - = HpcInfo {
    - hpcInfoTickCount :: Int
    - hpcInfoHash :: Int
    }
  - | NoHpcInfo {
    - hpcUsed :: AnyHpcUsage
    }
- type AnyHpcUsage = Bool
- emptyHpcInfo :: AnyHpcUsage -> HpcInfo
- isHpcUsed :: HpcInfo -> AnyHpcUsage

# Documentation

data HpcInfo Source #

Information about a modules use of Haskell Program Coverage

Constructors

HpcInfo |

Fields

- hpcInfoTickCount :: Int
- hpcInfoHash :: Int

NoHpcInfo |

Fields

- hpcUsed :: AnyHpcUsage

  Is hpc used anywhere on the module *tree*?

type AnyHpcUsage = Bool Source #

This is used to signal if one of my imports used HPC instrumentation even if there is no module-local HPC usage

emptyHpcInfo :: AnyHpcUsage -> HpcInfo Source #

isHpcUsed :: HpcInfo -> AnyHpcUsage Source #

Find out if HPC is used by this module or any of the modules it depends upon